1

I followed the follwoing guide to cross-compile QT 5.6 on a Ubuntu 16.04 machine for the raspberrypi2 running jessie: https://wiki.qt.io/RaspberryPi2EGLFS#A_modern_guide_for_cross-compiling_Qt_5.6_for_HW_accelerated_OpenGL_with_eglfs_on_Raspbian_Jessie_and_setting_up_Qt_Creator

Everything works fine, with no errors during compiling, but when I try to run the example program (qopenglwidget, step 12 of the guide) I get the following error: "This application failed to start because it could not find or load the Qt platform plugin "eglfs" in """.

I checked that in /usr/local/qt5pi/plugins/platforms there exists a libqeglfs.so. What can I do to make it work?

Edit: I forgot to include some relevant information: I did not connect the raspberry via hdmi but use the RaspberryPi Touch Display which is connected via the DSI port (https://www.raspberrypi.org/products/raspberry-pi-touch-display/)

Edit2: I also tried a different program which was built with cmake, but there the same problem occurs.

Thanks for your help!

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.